<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>drivers/edma/edma.h File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_14bc92f4b96c8519b376567118ac28b3.html">drivers</a></li><li class="navelem"><a class="el" href="dir_810c6c17b078d25542c5921e1e766f5a.html">edma</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">edma.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>EDMA external driver interface.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;stdint.h&gt;</code><br />
<code>#include &lt;stdbool.h&gt;</code><br />
<code>#include &lt;stddef.h&gt;</code><br />
<code>#include &lt;ti/common/mmwave_error.h&gt;</code><br />
<code>#include &lt;<a class="el" href="edma__low__level_8h.html">ti/drivers/edma/include/edma_low_level.h</a>&gt;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_e_d_m_a__error_info__t__.html">EDMA_errorInfo_t_</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Information structure. Information is from EMR(H), QEMR, CCERR registers as per EDMA UG.  <a href="struct_e_d_m_a__error_info__t__.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_e_d_m_a__transfer_controller_bus_error_info__t__.html">EDMA_transferControllerBusErrorInfo_t_</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Transfer controller bus error information, relevant when <a class="el" href="struct_e_d_m_a__transfer_controller_error_info__t__.html#a459165ad8d47c270611f582bb09d9959">EDMA_transferControllerErrorInfo_t_::isBusError</a> is true.  <a href="struct_e_d_m_a__transfer_controller_bus_error_info__t__.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_e_d_m_a__transfer_controller_error_info__t__.html">EDMA_transferControllerErrorInfo_t_</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Transfer controller error information.  <a href="struct_e_d_m_a__transfer_controller_error_info__t__.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_e_d_m_a__param_set_config__t__.html">EDMA_paramSetConfig_t_</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">PaRAM Set configuration.  <a href="struct_e_d_m_a__param_set_config__t__.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_e_d_m_a__channel_config__t__.html">EDMA_channelConfig_t_</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Channel configuration. Specifies the full configuration for a DMA or QDMA channel with associated paramId and param Set configuration.  <a href="struct_e_d_m_a__channel_config__t__.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_e_d_m_a__param_config__t__.html">EDMA_paramConfig_t_</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Param configuration typically used for stand-alone param sets (param sets not associated with any of the 64 DMA channels) such as for QDMA channels or for linking purposes.  <a href="struct_e_d_m_a__param_config__t__.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_e_d_m_a__transfer_controller_error_config__t__.html">EDMA_transferControllerErrorConfig_t_</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error configuration for a transfer controller, allows enabling/disabling of various error conditions.  <a href="struct_e_d_m_a__transfer_controller_error_config__t__.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_e_d_m_a__error_config__t__.html">EDMA_errorConfig_t_</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error configuration for transfer controller, allows enabling/disabling of various error conditions.  <a href="struct_e_d_m_a__error_config__t__.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_e_d_m_a__queue_entry_info__t__.html">EDMA_queueEntryInfo_t_</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Queue entry information.  <a href="struct_e_d_m_a__queue_entry_info__t__.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_e_d_m_a__queue_status_info__t__.html">EDMA_queueStatusInfo_t_</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Queue status information.  <a href="struct_e_d_m_a__queue_status_info__t__.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_e_d_m_a__status_info__t__.html">EDMA_statusInfo_t_</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">EDMA status information at the time of querying status using <a class="el" href="group___e_d_m_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga8ab313310a10a543de83f788ccfaf048">EDMA_getStatusInfo</a>. This is not some software state but it is hardware state, typically used for debugging purposes. Note CCSTAT::QUEACTVx bits are not reported because they are redundant information given the <a class="el" href="struct_e_d_m_a__queue_status_info__t__.html">EDMA_queueStatusInfo_t_</a>.  <a href="struct_e_d_m_a__status_info__t__.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_e_d_m_a__performance_config__t__.html">EDMA_performanceConfig_t_</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">EDMA performance configuration.  <a href="struct_e_d_m_a__performance_config__t__.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_e_d_m_a__instance_info__t__.html">EDMA_instanceInfo_t_</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">EDMA instance properties information.  <a href="struct_e_d_m_a__instance_info__t__.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:aacbd94fe765c78b97d65f10dc58b816f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aacbd94fe765c78b97d65f10dc58b816f"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="edma_8h.html#aacbd94fe765c78b97d65f10dc58b816f">EDMA_NUM_DMA_CHANNELS</a>&#160;&#160;&#160;(64U)</td></tr>
<tr class="memdesc:aacbd94fe765c78b97d65f10dc58b816f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Total number of DMA channels. <br /></td></tr>
<tr class="separator:aacbd94fe765c78b97d65f10dc58b816f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0cebf08074b7d7dcbfa4105ee6e6a45"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab0cebf08074b7d7dcbfa4105ee6e6a45"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="edma_8h.html#ab0cebf08074b7d7dcbfa4105ee6e6a45">EDMA_NUM_TCC</a>&#160;&#160;&#160;((uint8_t)64)</td></tr>
<tr class="memdesc:ab0cebf08074b7d7dcbfa4105ee6e6a45"><td class="mdescLeft">&#160;</td><td class="mdescRight">Total number of transfer completion codes. <br /></td></tr>
<tr class="separator:ab0cebf08074b7d7dcbfa4105ee6e6a45"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae08dc17408c4f087b2d3290ccb009aad"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae08dc17408c4f087b2d3290ccb009aad"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="edma_8h.html#ae08dc17408c4f087b2d3290ccb009aad">EDMA_NUM_QDMA_CHANNELS</a>&#160;&#160;&#160;((uint8_t)8)</td></tr>
<tr class="memdesc:ae08dc17408c4f087b2d3290ccb009aad"><td class="mdescLeft">&#160;</td><td class="mdescRight">Total number of QDMA channels. <br /></td></tr>
<tr class="separator:ae08dc17408c4f087b2d3290ccb009aad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a172b5f12f043ae7189be5085dfc7899f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a172b5f12f043ae7189be5085dfc7899f"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="edma_8h.html#a172b5f12f043ae7189be5085dfc7899f">EDMA_MAX_NUM_EVENT_QUEUES</a>&#160;&#160;&#160;((uint8_t)8)</td></tr>
<tr class="memdesc:a172b5f12f043ae7189be5085dfc7899f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Maximum number of event queues in any EDMA IP. <br /></td></tr>
<tr class="separator:a172b5f12f043ae7189be5085dfc7899f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49398eeb249738a53fb35bfe01566687"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a49398eeb249738a53fb35bfe01566687"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="edma_8h.html#a49398eeb249738a53fb35bfe01566687">EDMA_MAX_NUM_TRANSFER_CONTROLLERS</a>&#160;&#160;&#160;(<a class="el" href="edma_8h.html#a172b5f12f043ae7189be5085dfc7899f">EDMA_MAX_NUM_EVENT_QUEUES</a>)</td></tr>
<tr class="memdesc:a49398eeb249738a53fb35bfe01566687"><td class="mdescLeft">&#160;</td><td class="mdescRight">Maximum number of transfer controllers in any EDMA IP. <br /></td></tr>
<tr class="separator:a49398eeb249738a53fb35bfe01566687"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a61584652c54d69481cd89b1592494b57"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a61584652c54d69481cd89b1592494b57"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="edma_8h.html#a61584652c54d69481cd89b1592494b57">EDMA_NUM_QUEUE_ENTRIES</a>&#160;&#160;&#160;((uint8_t)16)</td></tr>
<tr class="memdesc:a61584652c54d69481cd89b1592494b57"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of entries in each queue in any EDMA IP. <br /></td></tr>
<tr class="separator:a61584652c54d69481cd89b1592494b57"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaaa2efed6caa11e2339f3c99fbd601a69"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___t_r_i_g___w_o_r_d_s.html#gaaa2efed6caa11e2339f3c99fbd601a69">EDMA_QDMA_TRIG_WORD_OFFSET_OPT</a>&#160;&#160;&#160;(0U)</td></tr>
<tr class="memdesc:gaaa2efed6caa11e2339f3c99fbd601a69"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the OPT field (Offset Address 0h Bytes) as the QDMA trigger word. <br /></td></tr>
<tr class="separator:gaaa2efed6caa11e2339f3c99fbd601a69"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga143ed5ac4f488b48e9a2ed08227cc5b5"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___t_r_i_g___w_o_r_d_s.html#ga143ed5ac4f488b48e9a2ed08227cc5b5">EDMA_QDMA_TRIG_WORD_OFFSET_SRC</a>&#160;&#160;&#160;(1U)</td></tr>
<tr class="memdesc:ga143ed5ac4f488b48e9a2ed08227cc5b5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the SRC field (Offset Address 4h Bytes) as the QDMA trigger word. <br /></td></tr>
<tr class="separator:ga143ed5ac4f488b48e9a2ed08227cc5b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gade3461a457790abcf0a4035336cef9c5"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___t_r_i_g___w_o_r_d_s.html#gade3461a457790abcf0a4035336cef9c5">EDMA_QDMA_TRIG_WORD_OFFSET_ACNT_BCNT</a>&#160;&#160;&#160;(2U)</td></tr>
<tr class="memdesc:gade3461a457790abcf0a4035336cef9c5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the (ACNT + BCNT) field (Offset Address 8h Bytes) as the QDMA trigger word. <br /></td></tr>
<tr class="separator:gade3461a457790abcf0a4035336cef9c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7ad579eacf28188407935619e82e1121"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___t_r_i_g___w_o_r_d_s.html#ga7ad579eacf28188407935619e82e1121">EDMA_QDMA_TRIG_WORD_OFFSET_DST</a>&#160;&#160;&#160;(3U)</td></tr>
<tr class="memdesc:ga7ad579eacf28188407935619e82e1121"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the DST field (Offset Address Ch Bytes) as the QDMA trigger word. <br /></td></tr>
<tr class="separator:ga7ad579eacf28188407935619e82e1121"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad3a67ec0de46964bacfd38ad4b60b2d8"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___t_r_i_g___w_o_r_d_s.html#gad3a67ec0de46964bacfd38ad4b60b2d8">EDMA_QDMA_TRIG_WORD_OFFSET_SRC_DST_BIDX</a>&#160;&#160;&#160;(4U)</td></tr>
<tr class="memdesc:gad3a67ec0de46964bacfd38ad4b60b2d8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the (SRCBIDX + DSTBIDX) field (Offset Address 10h Bytes) as the QDMA trigger word. <br /></td></tr>
<tr class="separator:gad3a67ec0de46964bacfd38ad4b60b2d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaaaa60c68ef8fed3720b831b36dcbd171"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___t_r_i_g___w_o_r_d_s.html#gaaaa60c68ef8fed3720b831b36dcbd171">EDMA_QDMA_TRIG_WORD_OFFSET_LINK_BCNTRLD</a>&#160;&#160;&#160;(5U)</td></tr>
<tr class="memdesc:gaaaa60c68ef8fed3720b831b36dcbd171"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the (LINK + BCNTRLD) field (Offset Address 14h Bytes) as the QDMA trigger word. <br /></td></tr>
<tr class="separator:gaaaa60c68ef8fed3720b831b36dcbd171"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga39aa314bf4e9c85ab6c7183b5927eec5"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___t_r_i_g___w_o_r_d_s.html#ga39aa314bf4e9c85ab6c7183b5927eec5">EDMA_QDMA_TRIG_WORD_OFFSET_SRC_DST_CIDX</a>&#160;&#160;&#160;(6U)</td></tr>
<tr class="memdesc:ga39aa314bf4e9c85ab6c7183b5927eec5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the (SRCCIDX + DSTCIDX) field (Offset Address 18h Bytes) as the QDMA trigger word. <br /></td></tr>
<tr class="separator:ga39aa314bf4e9c85ab6c7183b5927eec5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaee19a319cc9d732e66ce734cec56cb59"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___t_r_i_g___w_o_r_d_s.html#gaee19a319cc9d732e66ce734cec56cb59">EDMA_QDMA_TRIG_WORD_OFFSET_CCNT</a>&#160;&#160;&#160;(7U)</td></tr>
<tr class="memdesc:gaee19a319cc9d732e66ce734cec56cb59"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the (CCNT + RSVD) field (Offset Address 1Ch Bytes) as the QDMA trigger word. <br /></td></tr>
<tr class="separator:gaee19a319cc9d732e66ce734cec56cb59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa6030632fddb8e7eb31341090d6682e5"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___t_r_i_g___w_o_r_d_s.html#gaa6030632fddb8e7eb31341090d6682e5">EDMA_QDMA_TRIG_WORD_OFFSET_DEFAULT</a>&#160;&#160;&#160;(<a class="el" href="group___e_d_m_a___t_r_i_g___w_o_r_d_s.html#gaee19a319cc9d732e66ce734cec56cb59">EDMA_QDMA_TRIG_WORD_OFFSET_CCNT</a>)</td></tr>
<tr class="memdesc:gaa6030632fddb8e7eb31341090d6682e5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default Trigger Word is CCNT. <br /></td></tr>
<tr class="separator:gaa6030632fddb8e7eb31341090d6682e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6373ecf83c17ca641bd72c9d00ccd46"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa6373ecf83c17ca641bd72c9d00ccd46"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="edma_8h.html#aa6373ecf83c17ca641bd72c9d00ccd46">EDMA_NULL_LINK_ADDRESS</a>&#160;&#160;&#160;0xFFFFU</td></tr>
<tr class="memdesc:aa6373ecf83c17ca641bd72c9d00ccd46"><td class="mdescLeft">&#160;</td><td class="mdescRight">NULL Link Address. <br /></td></tr>
<tr class="separator:aa6373ecf83c17ca641bd72c9d00ccd46"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga81427540da54ed9f9b56bfcb044b30b9"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#ga81427540da54ed9f9b56bfcb044b30b9">EDMA_E_INVALID__HANDLE_NULL</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-0)</td></tr>
<tr class="memdesc:ga81427540da54ed9f9b56bfcb044b30b9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Handle argument is NULL pointer. <br /></td></tr>
<tr class="separator:ga81427540da54ed9f9b56bfcb044b30b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga985de671cbf8273d1a37f72572b2a1f7"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#ga985de671cbf8273d1a37f72572b2a1f7">EDMA_E_INVALID__CONFIG_POINTER_NULL</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-1)</td></tr>
<tr class="memdesc:ga985de671cbf8273d1a37f72572b2a1f7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Config argument is NULL pointer. <br /></td></tr>
<tr class="separator:ga985de671cbf8273d1a37f72572b2a1f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6509431c12aec5ddb37dd699a7fa541d"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#ga6509431c12aec5ddb37dd699a7fa541d">EDMA_E_INVALID__DMA_CHANNEL_TYPE</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-2)</td></tr>
<tr class="memdesc:ga6509431c12aec5ddb37dd699a7fa541d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Config's channelType is invalid. <br /></td></tr>
<tr class="separator:ga6509431c12aec5ddb37dd699a7fa541d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7c58cae5a7d563517faee9fbe79a8b05"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#ga7c58cae5a7d563517faee9fbe79a8b05">EDMA_E_INVALID__DMA_CHANNEL_ID</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-3)</td></tr>
<tr class="memdesc:ga7c58cae5a7d563517faee9fbe79a8b05"><td class="mdescLeft">&#160;</td><td class="mdescRight">Config's channelId out of range. <br /></td></tr>
<tr class="separator:ga7c58cae5a7d563517faee9fbe79a8b05"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga89d2f31b6fbf50ed1b8802d7cf248b06"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#ga89d2f31b6fbf50ed1b8802d7cf248b06">EDMA_E_INVALID__PARAM_ID</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-4)</td></tr>
<tr class="memdesc:ga89d2f31b6fbf50ed1b8802d7cf248b06"><td class="mdescLeft">&#160;</td><td class="mdescRight">Config's paramId out of range. <br /></td></tr>
<tr class="separator:ga89d2f31b6fbf50ed1b8802d7cf248b06"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga128fba8450789598341d4ba5c498bf0d"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#ga128fba8450789598341d4ba5c498bf0d">EDMA_E_INVALID__EVENT_QUEUE_ID</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-5)</td></tr>
<tr class="memdesc:ga128fba8450789598341d4ba5c498bf0d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Config's eventQueueId out of range. <br /></td></tr>
<tr class="separator:ga128fba8450789598341d4ba5c498bf0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1257a7071f7d691df8bbef3f750159ff"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#ga1257a7071f7d691df8bbef3f750159ff">EDMA_E_INVALID__TRNSFR_COMPLETION_PARAMS</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-6)</td></tr>
<tr class="memdesc:ga1257a7071f7d691df8bbef3f750159ff"><td class="mdescLeft">&#160;</td><td class="mdescRight">Config's both interrupt completion flags are false but transfer completion call back function is configured (non NULL). <br /></td></tr>
<tr class="separator:ga1257a7071f7d691df8bbef3f750159ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab354653f8b3ca3a46aba4437074a4acb"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#gab354653f8b3ca3a46aba4437074a4acb">EDMA_E_INVALID__TRANSFER_COMPLETION_CODE</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-7)</td></tr>
<tr class="memdesc:gab354653f8b3ca3a46aba4437074a4acb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Config's transferCompletionCode is invalid. <br /></td></tr>
<tr class="separator:gab354653f8b3ca3a46aba4437074a4acb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga61fb03320a92f8176a67d9977a5d0bbf"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#ga61fb03320a92f8176a67d9977a5d0bbf">EDMA_E_INVALID__TRANSFER_TYPE</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-8)</td></tr>
<tr class="memdesc:ga61fb03320a92f8176a67d9977a5d0bbf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Config's transferType is invalid. <br /></td></tr>
<tr class="separator:ga61fb03320a92f8176a67d9977a5d0bbf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac44223cf9894ff14bed5d442e44513a0"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#gac44223cf9894ff14bed5d442e44513a0">EDMA_E_INVALID__QDMA_CHANNEL_ID</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-9)</td></tr>
<tr class="memdesc:gac44223cf9894ff14bed5d442e44513a0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Invalid Qdma channelId. <br /></td></tr>
<tr class="separator:gac44223cf9894ff14bed5d442e44513a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9a3f6333dd45aac1cc4f8ec435e236e5"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#ga9a3f6333dd45aac1cc4f8ec435e236e5">EDMA_E_INVALID__INSTANCE_ID</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-10)</td></tr>
<tr class="memdesc:ga9a3f6333dd45aac1cc4f8ec435e236e5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Invalid Instance Id during open. <br /></td></tr>
<tr class="separator:ga9a3f6333dd45aac1cc4f8ec435e236e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4f616084491cb2c2186dd6466e32343b"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#ga4f616084491cb2c2186dd6466e32343b">EDMA_E_INVALID__QDMA_TRIGGER_WORD</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-11)</td></tr>
<tr class="memdesc:ga4f616084491cb2c2186dd6466e32343b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Invalid QDMA trigger word. <br /></td></tr>
<tr class="separator:ga4f616084491cb2c2186dd6466e32343b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabce5efccae641c7c3c7f014cd7ad95a1"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#gabce5efccae641c7c3c7f014cd7ad95a1">EDMA_E_INVALID__TRANSFER_CONTROLLER_ID</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-12)</td></tr>
<tr class="memdesc:gabce5efccae641c7c3c7f014cd7ad95a1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Invalid transfer controller Id. <br /></td></tr>
<tr class="separator:gabce5efccae641c7c3c7f014cd7ad95a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4041dfeb25da17fcd57d51fe546a9ca7"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#ga4041dfeb25da17fcd57d51fe546a9ca7">EDMA_E_INVALID__TRANSFER_CONTROLLER_READ_RATE</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-13)</td></tr>
<tr class="memdesc:ga4041dfeb25da17fcd57d51fe546a9ca7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Invalid transfer controller read rate. <br /></td></tr>
<tr class="separator:ga4041dfeb25da17fcd57d51fe546a9ca7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3e48d62b0b6205c0f32acb71f5db3576"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#ga3e48d62b0b6205c0f32acb71f5db3576">EDMA_E_INVALID__QUEUE_PRIORITY</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-14)</td></tr>
<tr class="memdesc:ga3e48d62b0b6205c0f32acb71f5db3576"><td class="mdescLeft">&#160;</td><td class="mdescRight">Invalid queue priority in performance config. <br /></td></tr>
<tr class="separator:ga3e48d62b0b6205c0f32acb71f5db3576"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9e4630cf2da00d74d1524e90b2e79cbf"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#ga9e4630cf2da00d74d1524e90b2e79cbf">EDMA_E_INVALID__EVENT_QUEUE_THRESHOLD</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-15)</td></tr>
<tr class="memdesc:ga9e4630cf2da00d74d1524e90b2e79cbf"><td class="mdescLeft">&#160;</td><td class="mdescRight">During <a class="el" href="group___e_d_m_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga363b8c42ca22f99f03e1c1aa079c3426">EDMA_startTransfer</a>, unexpected QDMA miss event detected. <br /></td></tr>
<tr class="separator:ga9e4630cf2da00d74d1524e90b2e79cbf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab5669e4b1c6198aeab8a27fa56e95a54"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#gab5669e4b1c6198aeab8a27fa56e95a54">EDMA_E_INVALID__PARAM_ID_NOT_SAME_AS_CHANNEL_ID</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-16)</td></tr>
<tr class="memdesc:gab5669e4b1c6198aeab8a27fa56e95a54"><td class="mdescLeft">&#160;</td><td class="mdescRight">During <a class="el" href="group___e_d_m_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga6ad6811ea84891bdb4dcedfed802a797">EDMA_configChannel</a>, param ID must be same as channel ID for DMA channel because channel mapping does not exist in the hardware. <br /></td></tr>
<tr class="separator:gab5669e4b1c6198aeab8a27fa56e95a54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae655fe5edee5238b477a5ba2cd001f10"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#gae655fe5edee5238b477a5ba2cd001f10">EDMA_E_INVALID__STATUS_POINTER_NULL</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-17)</td></tr>
<tr class="memdesc:gae655fe5edee5238b477a5ba2cd001f10"><td class="mdescLeft">&#160;</td><td class="mdescRight">Status argument is NULL pointer. <br /></td></tr>
<tr class="separator:gae655fe5edee5238b477a5ba2cd001f10"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaab5ad2cbffce807b699dd7093b0187de"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#gaab5ad2cbffce807b699dd7093b0187de">EDMA_E_INVALID__INSTANCEINFO_POINTER_NULL</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-18)</td></tr>
<tr class="memdesc:gaab5ad2cbffce807b699dd7093b0187de"><td class="mdescLeft">&#160;</td><td class="mdescRight">InstanceInfo argument is NULL pointer. <br /></td></tr>
<tr class="separator:gaab5ad2cbffce807b699dd7093b0187de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabc6edd22c04e815a6bcbde1a6063e413"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#gabc6edd22c04e815a6bcbde1a6063e413">EDMA_E_UNEXPECTED__DMA_EVENT_MISS_DETECTED</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-25)</td></tr>
<tr class="memdesc:gabc6edd22c04e815a6bcbde1a6063e413"><td class="mdescLeft">&#160;</td><td class="mdescRight">During <a class="el" href="group___e_d_m_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga363b8c42ca22f99f03e1c1aa079c3426">EDMA_startTransfer</a>, unexpected DMA miss event detected. <br /></td></tr>
<tr class="separator:gabc6edd22c04e815a6bcbde1a6063e413"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae154eaa7742103854aa852d2d6e1ce3d"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#gae154eaa7742103854aa852d2d6e1ce3d">EDMA_E_UNEXPECTED__QDMA_EVENT_MISS_DETECTED</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-26)</td></tr>
<tr class="memdesc:gae154eaa7742103854aa852d2d6e1ce3d"><td class="mdescLeft">&#160;</td><td class="mdescRight">During <a class="el" href="group___e_d_m_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga363b8c42ca22f99f03e1c1aa079c3426">EDMA_startTransfer</a>, unexpected QDMA miss event detected. <br /></td></tr>
<tr class="separator:gae154eaa7742103854aa852d2d6e1ce3d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad24b910d4a0a2ecc6053c13156d40a44"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#gad24b910d4a0a2ecc6053c13156d40a44">EDMA_E_UNEXPECTED__EDMA_INSTANCE_REOPEN</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-27)</td></tr>
<tr class="memdesc:gad24b910d4a0a2ecc6053c13156d40a44"><td class="mdescLeft">&#160;</td><td class="mdescRight">Attempt to reopen and already opened instance. <br /></td></tr>
<tr class="separator:gad24b910d4a0a2ecc6053c13156d40a44"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9d7684d6417fd6b8b12c3d1246ad1c77"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#ga9d7684d6417fd6b8b12c3d1246ad1c77">EDMA_E_UNEXPECTED__ATTEMPT_TO_TEST_COMPLETION</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-28)</td></tr>
<tr class="memdesc:ga9d7684d6417fd6b8b12c3d1246ad1c77"><td class="mdescLeft">&#160;</td><td class="mdescRight">Attempt to issue <a class="el" href="group___e_d_m_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga13e7d75c91fb93b711c554ab02f06d19">EDMA_isTransferComplete</a> despite non-NULL completion call-back function. <br /></td></tr>
<tr class="separator:ga9d7684d6417fd6b8b12c3d1246ad1c77"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5876d3253693de877dbae235c6112ed2"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#ga5876d3253693de877dbae235c6112ed2">EDMA_E_OSAL__HWIP_CREATE_TRANSFER_COMPLETION_ISR_RETURNED_NULL</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-40)</td></tr>
<tr class="memdesc:ga5876d3253693de877dbae235c6112ed2"><td class="mdescLeft">&#160;</td><td class="mdescRight">HwiP_create returned NULL on transfer completion Isr creation. <br /></td></tr>
<tr class="separator:ga5876d3253693de877dbae235c6112ed2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaaea4088c72c0b3df446894a1ff29c5a5"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#gaaea4088c72c0b3df446894a1ff29c5a5">EDMA_E_OSAL__HWIP_CREATE_ERROR_ISR_RETURNED_NULL</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-41)</td></tr>
<tr class="memdesc:gaaea4088c72c0b3df446894a1ff29c5a5"><td class="mdescLeft">&#160;</td><td class="mdescRight">HwiP_create returned NULL on CC error Isr creation. <br /></td></tr>
<tr class="separator:gaaea4088c72c0b3df446894a1ff29c5a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab63cf96bb84f81ed7291735bf1b7290b"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#gab63cf96bb84f81ed7291735bf1b7290b">EDMA_E_OSAL__HWIP_CREATE_TRANSFER_CONTROLLER_ERROR_ISRS_RETURNED_NULL</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-42)</td></tr>
<tr class="memdesc:gab63cf96bb84f81ed7291735bf1b7290b"><td class="mdescLeft">&#160;</td><td class="mdescRight">HwiP_create returned NULL on one of transfer controller error Isrs creation. <br /></td></tr>
<tr class="separator:gab63cf96bb84f81ed7291735bf1b7290b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1e1612bf8ad5899e5c35b554ff4e6c53"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#ga1e1612bf8ad5899e5c35b554ff4e6c53">EDMA_E_OSAL__HWIP_DELETE_TRANSFER_COMPLETION_ISR_ERROR</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-43)</td></tr>
<tr class="memdesc:ga1e1612bf8ad5899e5c35b554ff4e6c53"><td class="mdescLeft">&#160;</td><td class="mdescRight">HwiP_delete returned NULL on transfer completion Isr deletion. <br /></td></tr>
<tr class="separator:ga1e1612bf8ad5899e5c35b554ff4e6c53"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga45f4b87b4c1aae1c5a3869b90748c3d1"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#ga45f4b87b4c1aae1c5a3869b90748c3d1">EDMA_E_OSAL__HWIP_DELETE_ERROR_ISR_ERROR</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-44)</td></tr>
<tr class="memdesc:ga45f4b87b4c1aae1c5a3869b90748c3d1"><td class="mdescLeft">&#160;</td><td class="mdescRight">HwiP_delete returned NULL on CC error Isr deletion. <br /></td></tr>
<tr class="separator:ga45f4b87b4c1aae1c5a3869b90748c3d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf7078e7c1b67c7b4b75fddbbe3b582f2"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#gaf7078e7c1b67c7b4b75fddbbe3b582f2">EDMA_E_OSAL__HWIP_DELETE_TRANSFER_CONTROLLER_ERROR_ISRS_ERROR</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-45)</td></tr>
<tr class="memdesc:gaf7078e7c1b67c7b4b75fddbbe3b582f2"><td class="mdescLeft">&#160;</td><td class="mdescRight">HwiP_delete returned NULL on one of transfer controller error Isrs deletion. <br /></td></tr>
<tr class="separator:gaf7078e7c1b67c7b4b75fddbbe3b582f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga225704bbf212c81ae280ad4ec052cd46"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#ga225704bbf212c81ae280ad4ec052cd46">EDMA_E_INUSE</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-60)</td></tr>
<tr class="memdesc:ga225704bbf212c81ae280ad4ec052cd46"><td class="mdescLeft">&#160;</td><td class="mdescRight">Operation cannot be implemented because a previous operation is still not complete. <br /></td></tr>
<tr class="separator:ga225704bbf212c81ae280ad4ec052cd46"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac43a253a8a5e42a3713f2b34fb5afb97"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#gac43a253a8a5e42a3713f2b34fb5afb97">EDMA_E_NOTIMPL</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-80)</td></tr>
<tr class="memdesc:gac43a253a8a5e42a3713f2b34fb5afb97"><td class="mdescLeft">&#160;</td><td class="mdescRight">Operation is not implemented. <br /></td></tr>
<tr class="separator:gac43a253a8a5e42a3713f2b34fb5afb97"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1de2560c36a5f0d313657275d7797f69"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1de2560c36a5f0d313657275d7797f69"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="edma_8h.html#a1de2560c36a5f0d313657275d7797f69">EDMA_NO_ERROR</a>&#160;&#160;&#160;((int32_t)0)</td></tr>
<tr class="memdesc:a1de2560c36a5f0d313657275d7797f69"><td class="mdescLeft">&#160;</td><td class="mdescRight">No Error. <br /></td></tr>
<tr class="separator:a1de2560c36a5f0d313657275d7797f69"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7338955fda84b0c9087732a73843882e"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_v_e_n_t___q_u_e_u_e___t_h_r_e_s_h_o_l_d.html#ga7338955fda84b0c9087732a73843882e">EDMA_EVENT_QUEUE_THRESHOLDING_DISABLED</a>&#160;&#160;&#160;(0x11U)</td></tr>
<tr class="memdesc:ga7338955fda84b0c9087732a73843882e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable thresholding. <br /></td></tr>
<tr class="separator:ga7338955fda84b0c9087732a73843882e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga02f885d412f766ca42ce0b6dd3ca9520"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_v_e_n_t___q_u_e_u_e___t_h_r_e_s_h_o_l_d.html#ga02f885d412f766ca42ce0b6dd3ca9520">EDMA_EVENT_QUEUE_THRESHOLD_QUEUE_EVER_USED</a>&#160;&#160;&#160;(0U)</td></tr>
<tr class="memdesc:ga02f885d412f766ca42ce0b6dd3ca9520"><td class="mdescLeft">&#160;</td><td class="mdescRight">Queue ever used i.e queue had non-zero occupancy ever. <br /></td></tr>
<tr class="separator:ga02f885d412f766ca42ce0b6dd3ca9520"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3d2293a9f090940d784b4c1f6d3ccd05"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_v_e_n_t___q_u_e_u_e___t_h_r_e_s_h_o_l_d.html#ga3d2293a9f090940d784b4c1f6d3ccd05">EDMA_EVENT_QUEUE_THRESHOLD_QUEUE_EVER_FULL</a>&#160;&#160;&#160;(0x10U)</td></tr>
<tr class="memdesc:ga3d2293a9f090940d784b4c1f6d3ccd05"><td class="mdescLeft">&#160;</td><td class="mdescRight">Queue ever full i.e was there ever a time when queue was full. <br /></td></tr>
<tr class="separator:ga3d2293a9f090940d784b4c1f6d3ccd05"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga05d64a9c48459717b84936a6376e71e3"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_v_e_n_t___q_u_e_u_e___t_h_r_e_s_h_o_l_d.html#ga05d64a9c48459717b84936a6376e71e3">EDMA_EVENT_QUEUE_THRESHOLD_MAX</a>&#160;&#160;&#160;(<a class="el" href="group___e_d_m_a___e_v_e_n_t___q_u_e_u_e___t_h_r_e_s_h_o_l_d.html#ga3d2293a9f090940d784b4c1f6d3ccd05">EDMA_EVENT_QUEUE_THRESHOLD_QUEUE_EVER_FULL</a>)</td></tr>
<tr class="memdesc:ga05d64a9c48459717b84936a6376e71e3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Max queue threshold, same as queue ever full. <br /></td></tr>
<tr class="separator:ga05d64a9c48459717b84936a6376e71e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafa79dc4cab1a933bf4fd5a5e54bfa12a"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___r_e_a_d___r_a_t_e___d_e_f_i_n_e_s.html#gafa79dc4cab1a933bf4fd5a5e54bfa12a">EDMA_READ_RATE_AS_FAST_AS_POSSIBLE</a>&#160;&#160;&#160;(EDMA_TC_RDRATE_RDRATE_AFAP)</td></tr>
<tr class="memdesc:gafa79dc4cab1a933bf4fd5a5e54bfa12a"><td class="mdescLeft">&#160;</td><td class="mdescRight">as fast as possible <br /></td></tr>
<tr class="separator:gafa79dc4cab1a933bf4fd5a5e54bfa12a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga22e3a8f7a8e48c244b2ea036721c07f1"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___r_e_a_d___r_a_t_e___d_e_f_i_n_e_s.html#ga22e3a8f7a8e48c244b2ea036721c07f1">EDMA_READ_RATE_EVERY_4_CYCLES</a>&#160;&#160;&#160;(EDMA_TC_RDRATE_RDRATE_READEVERY4CYCLES)</td></tr>
<tr class="memdesc:ga22e3a8f7a8e48c244b2ea036721c07f1"><td class="mdescLeft">&#160;</td><td class="mdescRight">4 cycles between reads <br /></td></tr>
<tr class="separator:ga22e3a8f7a8e48c244b2ea036721c07f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5df42f1580af21767975f5dc1a87ab55"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___r_e_a_d___r_a_t_e___d_e_f_i_n_e_s.html#ga5df42f1580af21767975f5dc1a87ab55">EDMA_READ_RATE_EVERY_8_CYCLES</a>&#160;&#160;&#160;(EDMA_TC_RDRATE_RDRATE_READEVERY8CYCLES)</td></tr>
<tr class="memdesc:ga5df42f1580af21767975f5dc1a87ab55"><td class="mdescLeft">&#160;</td><td class="mdescRight">8 cycles between reads <br /></td></tr>
<tr class="separator:ga5df42f1580af21767975f5dc1a87ab55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga29e209a2c3727cc70387add38e22baed"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___r_e_a_d___r_a_t_e___d_e_f_i_n_e_s.html#ga29e209a2c3727cc70387add38e22baed">EDMA_READ_RATE_EVERY_16_CYCLES</a>&#160;&#160;&#160;(EDMA_TC_RDRATE_RDRATE_READEVERY16CYCLES)</td></tr>
<tr class="memdesc:ga29e209a2c3727cc70387add38e22baed"><td class="mdescLeft">&#160;</td><td class="mdescRight">16 cycles between reads <br /></td></tr>
<tr class="separator:ga29e209a2c3727cc70387add38e22baed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3d759759703508a13196463280e58df7"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___r_e_a_d___r_a_t_e___d_e_f_i_n_e_s.html#ga3d759759703508a13196463280e58df7">EDMA_READ_RATE_EVERY_32_CYCLES</a>&#160;&#160;&#160;(EDMA_TC_RDRATE_RDRATE_READEVERY32CYCLES)</td></tr>
<tr class="memdesc:ga3d759759703508a13196463280e58df7"><td class="mdescLeft">&#160;</td><td class="mdescRight">32 cycles between reads <br /></td></tr>
<tr class="separator:ga3d759759703508a13196463280e58df7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:aed925f0e27ce17d32c26b78191644dc2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aed925f0e27ce17d32c26b78191644dc2"></a>
typedef void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="edma_8h.html#aed925f0e27ce17d32c26b78191644dc2">EDMA_Handle</a></td></tr>
<tr class="memdesc:aed925f0e27ce17d32c26b78191644dc2"><td class="mdescLeft">&#160;</td><td class="mdescRight">A handle that is returned from a <a class="el" href="group___e_d_m_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gac7a98ab220cf5cbf86c05c79a7d4fc7d">EDMA_open</a> call. <br /></td></tr>
<tr class="separator:aed925f0e27ce17d32c26b78191644dc2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a919c730714abbf40d685918773ba9856"><td class="memItemLeft" align="right" valign="top">typedef void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="edma_8h.html#a919c730714abbf40d685918773ba9856">EDMA_transferCompletionCallbackFxn_t</a>) (uintptr_t arg, uint8_t transferCompletionCode)</td></tr>
<tr class="memdesc:a919c730714abbf40d685918773ba9856"><td class="mdescLeft">&#160;</td><td class="mdescRight">Transfer completion call back function definition.  <a href="#a919c730714abbf40d685918773ba9856">More...</a><br /></td></tr>
<tr class="separator:a919c730714abbf40d685918773ba9856"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21234d1f408a28059a9b9e72a1fa307b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a21234d1f408a28059a9b9e72a1fa307b"></a>
typedef struct <a class="el" href="struct_e_d_m_a__error_info__t__.html">EDMA_errorInfo_t_</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="edma_8h.html#a21234d1f408a28059a9b9e72a1fa307b">EDMA_errorInfo_t</a></td></tr>
<tr class="memdesc:a21234d1f408a28059a9b9e72a1fa307b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Information structure. Information is from EMR(H), QEMR, CCERR registers as per EDMA UG. <br /></td></tr>
<tr class="separator:a21234d1f408a28059a9b9e72a1fa307b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a82d2f0d8a8139c5aad44a81741f7c8da"><td class="memItemLeft" align="right" valign="top">typedef void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="edma_8h.html#a82d2f0d8a8139c5aad44a81741f7c8da">EDMA_errorCallbackFxn_t</a>) (<a class="el" href="edma_8h.html#aed925f0e27ce17d32c26b78191644dc2">EDMA_Handle</a> handle, <a class="el" href="edma_8h.html#a21234d1f408a28059a9b9e72a1fa307b">EDMA_errorInfo_t</a> *errorInfo)</td></tr>
<tr class="memdesc:a82d2f0d8a8139c5aad44a81741f7c8da"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error call back function.  <a href="#a82d2f0d8a8139c5aad44a81741f7c8da">More...</a><br /></td></tr>
<tr class="separator:a82d2f0d8a8139c5aad44a81741f7c8da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6fe87b48b3657aa00a331f9e3850a382"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6fe87b48b3657aa00a331f9e3850a382"></a>
typedef struct <a class="el" href="struct_e_d_m_a__transfer_controller_bus_error_info__t__.html">EDMA_transferControllerBusErrorInfo_t_</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="edma_8h.html#a6fe87b48b3657aa00a331f9e3850a382">EDMA_transferControllerBusErrorInfo_t</a></td></tr>
<tr class="memdesc:a6fe87b48b3657aa00a331f9e3850a382"><td class="mdescLeft">&#160;</td><td class="mdescRight">Transfer controller bus error information, relevant when <a class="el" href="struct_e_d_m_a__transfer_controller_error_info__t__.html#a459165ad8d47c270611f582bb09d9959">EDMA_transferControllerErrorInfo_t_::isBusError</a> is true. <br /></td></tr>
<tr class="separator:a6fe87b48b3657aa00a331f9e3850a382"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5835fa6cc2395d6f67e665a5d4e6e3d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad5835fa6cc2395d6f67e665a5d4e6e3d"></a>
typedef struct <a class="el" href="struct_e_d_m_a__transfer_controller_error_info__t__.html">EDMA_transferControllerErrorInfo_t_</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="edma_8h.html#ad5835fa6cc2395d6f67e665a5d4e6e3d">EDMA_transferControllerErrorInfo_t</a></td></tr>
<tr class="memdesc:ad5835fa6cc2395d6f67e665a5d4e6e3d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Transfer controller error information. <br /></td></tr>
<tr class="separator:ad5835fa6cc2395d6f67e665a5d4e6e3d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a11db07f189357137eac4d7156cdc4a01"><td class="memItemLeft" align="right" valign="top">typedef void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="edma_8h.html#a11db07f189357137eac4d7156cdc4a01">edmaTransferControllerErrorCallbackFxn_t</a>) (<a class="el" href="edma_8h.html#aed925f0e27ce17d32c26b78191644dc2">EDMA_Handle</a> handle, <a class="el" href="edma_8h.html#ad5835fa6cc2395d6f67e665a5d4e6e3d">EDMA_transferControllerErrorInfo_t</a> *errorInfo)</td></tr>
<tr class="memdesc:a11db07f189357137eac4d7156cdc4a01"><td class="mdescLeft">&#160;</td><td class="mdescRight">Transfer controller error call back function. Usually transfer controller errors are fatal.  <a href="#a11db07f189357137eac4d7156cdc4a01">More...</a><br /></td></tr>
<tr class="separator:a11db07f189357137eac4d7156cdc4a01"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad3c0c150c35626a498ae75c6eb6e7611"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad3c0c150c35626a498ae75c6eb6e7611"></a>
typedef struct <a class="el" href="struct_e_d_m_a__param_set_config__t__.html">EDMA_paramSetConfig_t_</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="edma_8h.html#ad3c0c150c35626a498ae75c6eb6e7611">EDMA_paramSetConfig_t</a></td></tr>
<tr class="memdesc:ad3c0c150c35626a498ae75c6eb6e7611"><td class="mdescLeft">&#160;</td><td class="mdescRight">PaRAM Set configuration. <br /></td></tr>
<tr class="separator:ad3c0c150c35626a498ae75c6eb6e7611"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab220f60f64124c34592186c7d0fd8c3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aab220f60f64124c34592186c7d0fd8c3"></a>
typedef struct <a class="el" href="struct_e_d_m_a__channel_config__t__.html">EDMA_channelConfig_t_</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="edma_8h.html#aab220f60f64124c34592186c7d0fd8c3">EDMA_channelConfig_t</a></td></tr>
<tr class="memdesc:aab220f60f64124c34592186c7d0fd8c3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Channel configuration. Specifies the full configuration for a DMA or QDMA channel with associated paramId and param Set configuration. <br /></td></tr>
<tr class="separator:aab220f60f64124c34592186c7d0fd8c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acca37113e5272608d44f144750fa1f5c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acca37113e5272608d44f144750fa1f5c"></a>
typedef struct <a class="el" href="struct_e_d_m_a__param_config__t__.html">EDMA_paramConfig_t_</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="edma_8h.html#acca37113e5272608d44f144750fa1f5c">EDMA_paramConfig_t</a></td></tr>
<tr class="memdesc:acca37113e5272608d44f144750fa1f5c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Param configuration typically used for stand-alone param sets (param sets not associated with any of the 64 DMA channels) such as for QDMA channels or for linking purposes. <br /></td></tr>
<tr class="separator:acca37113e5272608d44f144750fa1f5c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf49089c78452893601e8f338c11bbda"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aaf49089c78452893601e8f338c11bbda"></a>
typedef struct <a class="el" href="struct_e_d_m_a__transfer_controller_error_config__t__.html">EDMA_transferControllerErrorConfig_t_</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="edma_8h.html#aaf49089c78452893601e8f338c11bbda">EDMA_transferControllerErrorConfig_t</a></td></tr>
<tr class="memdesc:aaf49089c78452893601e8f338c11bbda"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error configuration for a transfer controller, allows enabling/disabling of various error conditions. <br /></td></tr>
<tr class="separator:aaf49089c78452893601e8f338c11bbda"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8022090ecb8a9f6a031fc3f8da26ccfb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8022090ecb8a9f6a031fc3f8da26ccfb"></a>
typedef struct <a class="el" href="struct_e_d_m_a__error_config__t__.html">EDMA_errorConfig_t_</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="edma_8h.html#a8022090ecb8a9f6a031fc3f8da26ccfb">EDMA_errorConfig_t</a></td></tr>
<tr class="memdesc:a8022090ecb8a9f6a031fc3f8da26ccfb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error configuration for transfer controller, allows enabling/disabling of various error conditions. <br /></td></tr>
<tr class="separator:a8022090ecb8a9f6a031fc3f8da26ccfb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a368dab2fdf1000f97b5d393ec521345a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a368dab2fdf1000f97b5d393ec521345a"></a>
typedef struct <a class="el" href="struct_e_d_m_a__queue_entry_info__t__.html">EDMA_queueEntryInfo_t_</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="edma_8h.html#a368dab2fdf1000f97b5d393ec521345a">EDMA_queueEntryInfo_t</a></td></tr>
<tr class="memdesc:a368dab2fdf1000f97b5d393ec521345a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Queue entry information. <br /></td></tr>
<tr class="separator:a368dab2fdf1000f97b5d393ec521345a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad66b59e7430787945727bc0ea9339e82"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad66b59e7430787945727bc0ea9339e82"></a>
typedef struct <a class="el" href="struct_e_d_m_a__queue_status_info__t__.html">EDMA_queueStatusInfo_t_</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="edma_8h.html#ad66b59e7430787945727bc0ea9339e82">EDMA_queueStatusInfo_t</a></td></tr>
<tr class="memdesc:ad66b59e7430787945727bc0ea9339e82"><td class="mdescLeft">&#160;</td><td class="mdescRight">Queue status information. <br /></td></tr>
<tr class="separator:ad66b59e7430787945727bc0ea9339e82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c447c35c67520178b3de2a50e28330b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8c447c35c67520178b3de2a50e28330b"></a>
typedef struct <a class="el" href="struct_e_d_m_a__status_info__t__.html">EDMA_statusInfo_t_</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="edma_8h.html#a8c447c35c67520178b3de2a50e28330b">EDMA_statusInfo_t</a></td></tr>
<tr class="memdesc:a8c447c35c67520178b3de2a50e28330b"><td class="mdescLeft">&#160;</td><td class="mdescRight">EDMA status information at the time of querying status using <a class="el" href="group___e_d_m_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga8ab313310a10a543de83f788ccfaf048">EDMA_getStatusInfo</a>. This is not some software state but it is hardware state, typically used for debugging purposes. Note CCSTAT::QUEACTVx bits are not reported because they are redundant information given the <a class="el" href="struct_e_d_m_a__queue_status_info__t__.html">EDMA_queueStatusInfo_t_</a>. <br /></td></tr>
<tr class="separator:a8c447c35c67520178b3de2a50e28330b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a11d4bb03c842caa27be9c707c4afb35e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a11d4bb03c842caa27be9c707c4afb35e"></a>
typedef struct <a class="el" href="struct_e_d_m_a__performance_config__t__.html">EDMA_performanceConfig_t_</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="edma_8h.html#a11d4bb03c842caa27be9c707c4afb35e">EDMA_performanceConfig_t</a></td></tr>
<tr class="memdesc:a11d4bb03c842caa27be9c707c4afb35e"><td class="mdescLeft">&#160;</td><td class="mdescRight">EDMA performance configuration. <br /></td></tr>
<tr class="separator:a11d4bb03c842caa27be9c707c4afb35e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:affdc4ff70b8bff021b502eb27c4fb8f9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="affdc4ff70b8bff021b502eb27c4fb8f9"></a>
typedef struct <a class="el" href="struct_e_d_m_a__instance_info__t__.html">EDMA_instanceInfo_t_</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="edma_8h.html#affdc4ff70b8bff021b502eb27c4fb8f9">EDMA_instanceInfo_t</a></td></tr>
<tr class="memdesc:affdc4ff70b8bff021b502eb27c4fb8f9"><td class="mdescLeft">&#160;</td><td class="mdescRight">EDMA instance properties information. <br /></td></tr>
<tr class="separator:affdc4ff70b8bff021b502eb27c4fb8f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga6ad6811ea84891bdb4dcedfed802a797"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga6ad6811ea84891bdb4dcedfed802a797">EDMA_configChannel</a> (<a class="el" href="edma_8h.html#aed925f0e27ce17d32c26b78191644dc2">EDMA_Handle</a> handle, <a class="el" href="edma_8h.html#aab220f60f64124c34592186c7d0fd8c3">EDMA_channelConfig_t</a> const *config, bool isEnableChannel)</td></tr>
<tr class="separator:ga6ad6811ea84891bdb4dcedfed802a797"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga84f1c1626ce576de943316b9b5260c7c"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga84f1c1626ce576de943316b9b5260c7c">EDMA_enableChannel</a> (<a class="el" href="edma_8h.html#aed925f0e27ce17d32c26b78191644dc2">EDMA_Handle</a> handle, uint8_t channelId, uint8_t channelType)</td></tr>
<tr class="separator:ga84f1c1626ce576de943316b9b5260c7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4b18391870aee6b535529789c041297a"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga4b18391870aee6b535529789c041297a">EDMA_disableChannel</a> (<a class="el" href="edma_8h.html#aed925f0e27ce17d32c26b78191644dc2">EDMA_Handle</a> handle, uint8_t channelId, uint8_t channelType)</td></tr>
<tr class="separator:ga4b18391870aee6b535529789c041297a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gada4a1ab64f91b3e9ab4d490def680f5c"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gada4a1ab64f91b3e9ab4d490def680f5c">EDMA_chainChannels</a> (<a class="el" href="edma_8h.html#aed925f0e27ce17d32c26b78191644dc2">EDMA_Handle</a> handle, uint16_t fromParamId, uint8_t toChannelId)</td></tr>
<tr class="separator:gada4a1ab64f91b3e9ab4d490def680f5c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa345f49a62dcd6a3ee306259ffd429d6"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaa345f49a62dcd6a3ee306259ffd429d6">EDMA_configParamSet</a> (<a class="el" href="edma_8h.html#aed925f0e27ce17d32c26b78191644dc2">EDMA_Handle</a> handle, uint16_t paramId, <a class="el" href="edma_8h.html#acca37113e5272608d44f144750fa1f5c">EDMA_paramConfig_t</a> const *config)</td></tr>
<tr class="separator:gaa345f49a62dcd6a3ee306259ffd429d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga050430f34aa0913c3e376e08b63a9961"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga050430f34aa0913c3e376e08b63a9961">EDMA_linkParamSets</a> (<a class="el" href="edma_8h.html#aed925f0e27ce17d32c26b78191644dc2">EDMA_Handle</a> handle, uint16_t fromParamId, uint16_t toParamId)</td></tr>
<tr class="separator:ga050430f34aa0913c3e376e08b63a9961"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga363b8c42ca22f99f03e1c1aa079c3426"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga363b8c42ca22f99f03e1c1aa079c3426">EDMA_startTransfer</a> (<a class="el" href="edma_8h.html#aed925f0e27ce17d32c26b78191644dc2">EDMA_Handle</a> handle, uint8_t channelId, uint8_t channelType)</td></tr>
<tr class="separator:ga363b8c42ca22f99f03e1c1aa079c3426"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9dba4c1d08dc6d1c7bd3e9b27aa9fa8b"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga9dba4c1d08dc6d1c7bd3e9b27aa9fa8b">EDMA_startDmaTransfer</a> (<a class="el" href="edma_8h.html#aed925f0e27ce17d32c26b78191644dc2">EDMA_Handle</a> handle, uint8_t channelId)</td></tr>
<tr class="separator:ga9dba4c1d08dc6d1c7bd3e9b27aa9fa8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8d4ee0bd39227ee30efd1fb03ca9d060"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga8d4ee0bd39227ee30efd1fb03ca9d060">EDMA_startQdmaTransfer</a> (<a class="el" href="edma_8h.html#aed925f0e27ce17d32c26b78191644dc2">EDMA_Handle</a> handle, uint8_t channelId)</td></tr>
<tr class="separator:ga8d4ee0bd39227ee30efd1fb03ca9d060"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6726fe8670f6c29d9dbc4a8bda425614"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga6726fe8670f6c29d9dbc4a8bda425614">EDMA_startFinalQdmaTransfer</a> (<a class="el" href="edma_8h.html#aed925f0e27ce17d32c26b78191644dc2">EDMA_Handle</a> handle, uint8_t channelId)</td></tr>
<tr class="separator:ga6726fe8670f6c29d9dbc4a8bda425614"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga13e7d75c91fb93b711c554ab02f06d19"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga13e7d75c91fb93b711c554ab02f06d19">EDMA_isTransferComplete</a> (<a class="el" href="edma_8h.html#aed925f0e27ce17d32c26b78191644dc2">EDMA_Handle</a> handle, uint8_t transferCompletionCode, bool *isTransferComplete)</td></tr>
<tr class="separator:ga13e7d75c91fb93b711c554ab02f06d19"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab4dff7b757b9c27877efa1656aa56e3a"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gab4dff7b757b9c27877efa1656aa56e3a">EDMA_setDestinationAddress</a> (<a class="el" href="edma_8h.html#aed925f0e27ce17d32c26b78191644dc2">EDMA_Handle</a> handle, uint16_t paramId, uint32_t destinationAddress)</td></tr>
<tr class="separator:gab4dff7b757b9c27877efa1656aa56e3a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga673d36350d9e37f080d2db5198b98c76"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga673d36350d9e37f080d2db5198b98c76">EDMA_setSourceAddress</a> (<a class="el" href="edma_8h.html#aed925f0e27ce17d32c26b78191644dc2">EDMA_Handle</a> handle, uint16_t paramId, uint32_t sourceAddress)</td></tr>
<tr class="separator:ga673d36350d9e37f080d2db5198b98c76"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga290746848f5abf83da2ce2152c3aa3b7"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga290746848f5abf83da2ce2152c3aa3b7">EDMA_configErrorMonitoring</a> (<a class="el" href="edma_8h.html#aed925f0e27ce17d32c26b78191644dc2">EDMA_Handle</a> handle, <a class="el" href="edma_8h.html#a8022090ecb8a9f6a031fc3f8da26ccfb">EDMA_errorConfig_t</a> const *config)</td></tr>
<tr class="separator:ga290746848f5abf83da2ce2152c3aa3b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8ab313310a10a543de83f788ccfaf048"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga8ab313310a10a543de83f788ccfaf048">EDMA_getStatusInfo</a> (<a class="el" href="edma_8h.html#aed925f0e27ce17d32c26b78191644dc2">EDMA_Handle</a> handle, <a class="el" href="edma_8h.html#a8c447c35c67520178b3de2a50e28330b">EDMA_statusInfo_t</a> *status)</td></tr>
<tr class="separator:ga8ab313310a10a543de83f788ccfaf048"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac69490d78dc56db5115ce2d5d8eb73ae"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gac69490d78dc56db5115ce2d5d8eb73ae">EDMA_configPerformance</a> (<a class="el" href="edma_8h.html#aed925f0e27ce17d32c26b78191644dc2">EDMA_Handle</a> handle, <a class="el" href="edma_8h.html#a11d4bb03c842caa27be9c707c4afb35e">EDMA_performanceConfig_t</a> const *config)</td></tr>
<tr class="separator:gac69490d78dc56db5115ce2d5d8eb73ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac7a98ab220cf5cbf86c05c79a7d4fc7d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="edma_8h.html#aed925f0e27ce17d32c26b78191644dc2">EDMA_Handle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gac7a98ab220cf5cbf86c05c79a7d4fc7d">EDMA_open</a> (uint8_t instanceId, int32_t *errorCode, <a class="el" href="edma_8h.html#affdc4ff70b8bff021b502eb27c4fb8f9">EDMA_instanceInfo_t</a> *instanceInfo)</td></tr>
<tr class="separator:gac7a98ab220cf5cbf86c05c79a7d4fc7d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa6e788d83a33526df185e9ecfb45e7d0"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaa6e788d83a33526df185e9ecfb45e7d0">EDMA_close</a> (<a class="el" href="edma_8h.html#aed925f0e27ce17d32c26b78191644dc2">EDMA_Handle</a> handle)</td></tr>
<tr class="separator:gaa6e788d83a33526df185e9ecfb45e7d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadbcbfc548e887d9cf74dcdbea9252451"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gadbcbfc548e887d9cf74dcdbea9252451">EDMA_getNumInstances</a> (void)</td></tr>
<tr class="separator:gadbcbfc548e887d9cf74dcdbea9252451"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab171c615a7dd30232b6de5133c3907b3"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gab171c615a7dd30232b6de5133c3907b3">EDMA_init</a> (uint8_t instanceId)</td></tr>
<tr class="separator:gab171c615a7dd30232b6de5133c3907b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>EDMA external driver interface. </p>
<p>Copyright (c) 2016, Texas Instruments Incorporated All rights reserved.</p>
<p>Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:</p>
<ul>
<li>Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.</li>
<li>Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.</li>
<li>Neither the name of Texas Instruments Incorporated nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.</li>
</ul>
<p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. </p>
</div><h2 class="groupheader">Typedef Documentation</h2>
<a class="anchor" id="a82d2f0d8a8139c5aad44a81741f7c8da"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef void(* EDMA_errorCallbackFxn_t) (<a class="el" href="edma_8h.html#aed925f0e27ce17d32c26b78191644dc2">EDMA_Handle</a> handle, <a class="el" href="edma_8h.html#a21234d1f408a28059a9b9e72a1fa307b">EDMA_errorInfo_t</a> *errorInfo)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Error call back function. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">handle</td><td>Handle to the EDMA instance obtained through call to <a class="el" href="group___e_d_m_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gac7a98ab220cf5cbf86c05c79a7d4fc7d">EDMA_open</a>. </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errorInfo</td><td>Pointer to error information <a class="el" href="struct_e_d_m_a__error_info__t__.html">EDMA_errorInfo_t_</a>. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a919c730714abbf40d685918773ba9856"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef void(* EDMA_transferCompletionCallbackFxn_t) (uintptr_t arg, uint8_t transferCompletionCode)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Transfer completion call back function definition. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">Argument</td><td>that was registered during call back registeration during configuration. Handle to the EDMA instance obtained through call to <a class="el" href="group___e_d_m_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gac7a98ab220cf5cbf86c05c79a7d4fc7d">EDMA_open</a>. </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">transferCompletionCode</td><td>Transfer completion code of the completed transfer. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a11db07f189357137eac4d7156cdc4a01"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef void(* edmaTransferControllerErrorCallbackFxn_t) (<a class="el" href="edma_8h.html#aed925f0e27ce17d32c26b78191644dc2">EDMA_Handle</a> handle, <a class="el" href="edma_8h.html#ad5835fa6cc2395d6f67e665a5d4e6e3d">EDMA_transferControllerErrorInfo_t</a> *errorInfo)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Transfer controller error call back function. Usually transfer controller errors are fatal. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">handle</td><td>Handle to the EDMA instance obtained through call to <a class="el" href="group___e_d_m_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gac7a98ab220cf5cbf86c05c79a7d4fc7d">EDMA_open</a>. </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errorInfo</td><td>Pointer to error information <a class="el" href="struct_e_d_m_a__transfer_controller_error_info__t__.html">EDMA_transferControllerErrorInfo_t_</a>. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
